Bug 68950 - traceback if group from NIS
Summary: traceback if group from NIS
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579
TreeView+ depends on / blocked
 
Reported: 2002-07-16 12:52 UTC by Harald Hoyer
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-21 01:31:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Harald Hoyer 2002-07-16 12:52:28 UTC
Description of Problem: 
raceback (most recent call last): 
  File "/usr/share/redhat-config-users/mainWindow.py", line 617, in 
on_properties_activate 
    self.user_properties() 
  File "/usr/share/redhat-config-users/mainWindow.py", line 626, in 
user_properties 
    self.userProperties.showUserProperties(userEnt) 
  File "/usr/share/redhat-config-users/userProperties.py", line 229, in 
showUserProperties 
    self.set_default_group(self.userEnt) 
  File "/usr/share/redhat-config-users/userProperties.py", line 457, in 
set_default_group 
    primaryGroupName = primaryGroupEnt.get(libuser.GROUPNAME)[0] 
AttributeError: 'NoneType' object has no attribute 'get' 
 
 
Version-Release number of selected component (if applicable): 
redhat-config-users-1.1-1 
 
Steps to Reproduce: 
1. add NIS user to /etc/passwd, but not to /etc/group 
2. run redhat-config-user 
3.  
 
Actual Results: 
traceback 
 
Expected Results: 
no traceback :) 
 
Additional Information:

Comment 1 Brent Fox 2002-08-21 18:31:54 UTC
Umm, can you explain why you're trying to add an NIS user to /etc/passwd?

Comment 2 Preston Brown 2002-08-21 18:51:07 UTC
cut/paste the NIS /etc/passwd line too please.

Comment 3 Harald Hoyer 2002-08-22 10:48:53 UTC
My /etc/passwd line.. 
harald:x:2413:2414:Harald Hoyer,Engineering/Systems
Engineer,+49-711-96437-157:/home/harald:/bin/bash
/etc/shadow:
harald:x:11900:0:99999:7:::

This was for the IDs, if running without NIS...

Comment 4 Daniel Walsh 2002-08-22 14:47:56 UTC
I have changed redhat-config-users to be able to handle a primary group id
missing from the groups file.  It still doesnot handle NIS well, but it will no
longer traceback.  Fixed in the next redhat-config-users package.

Comment 5 Jay Turner 2002-08-29 12:01:16 UTC
Testing with redhat-config-users-1.1-16, here's what I did.  I added a user to
/etc/passwd, setting GID which didn't exist in the /etc/group file.  I launched
redhat-config-users and was able to browse information about the user account
without any problems, but then I attempted to delete the user through the
interface and got this traceback:

Traceback (most recent call last):
  File "/usr/share/redhat-config-users/mainWindow.py", line 613, in
on_delete_activate
    self.refresh_users_and_groups(need_refresh)
  File "/usr/share/redhat-config-users/mainWindow.py", line 398, in
refresh_users_and_groups
    gidNumber = gidNumber[0]
IndexError: list index out of range


Comment 6 Brent Fox 2002-10-22 20:56:04 UTC
Confirmed that the bug still exists in 8.0

Comment 7 Brent Fox 2003-01-15 23:38:47 UTC
Should be fixed in redhat-config-users-1.1.3-1.  Jay, please try with that version.

Comment 8 Jay Turner 2003-01-21 01:31:08 UTC
Fix confirmed with redhat-config-users-1.1.3-1.


Note You need to log in before you can comment on or make changes to this bug.